if [ "$grub_platform" == "efi" ]; then
	search --set=root --label GRB2FM_BOOT
	chainloader /efi/boot/boot${VTOY_EFI_ARCH}.efi
	boot
  fi
  elif [ "${grub_platform}" == "pc" ]; then
	search --set=root --label GRB2FM_BOOT
	linux /mbr/loadfm 
    initrd /mbr/grubfm.iso
  boot
fi